Bug 1000009 - Jcr2vfs migration tool does not migrate 'globals'
Jcr2vfs migration tool does not migrate 'globals'
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity high
: ER6
: 6.0.0
Assigned To: Neus Miras
Petr Široký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 09:53 EDT by Petr Široký
Modified: 2014-08-06 16:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Repository with some globals in package 'org.guvnor.example2' (473.59 KB, application/zip)
2013-08-22 09:55 EDT, Petr Široký
no flags Details

  None (edit)
Description Petr Široký 2013-08-22 09:53:34 EDT
Description of problem:
When I setup a list of global statements for some package in Guvnor 5.x I would expect it to be migrated into "globals.gdrl" (or similar) file in vfs repo, but no such file is created during migration.


Version-Release number of selected component (if applicable):
6.0.0-ER1 (and community 6.0.0-SNAPSHOT)


How reproducible:
Always


Steps to Reproduce:
1. Use the attached repo or create the globals by hand in Guvnor 5.x.
2. Run the migration tool with the above repo as input.


Actual results:
No "globals.gdrl" (or similar) created in vfs repo.


Expected results:
File with global statements somewhere in vfs repo.
Comment 1 Petr Široký 2013-08-22 09:55:17 EDT
Created attachment 789208 [details]
Repository with some globals in package 'org.guvnor.example2'
Comment 6 Petr Široký 2013-12-05 12:15:51 EST
It seems the globals are still not correctly migrated. At least the UI (Business Central) is not able to load them. To be honest I am not even sure how should the globals work in 6.x, so I will need to look at that first. I will move this BZ back to assign once I have clear picture of how the globals should be handled.
Comment 7 Petr Široký 2014-01-14 05:52:17 EST
Verified fixed in 6.0.0-ER7.

Note You need to log in before you can comment on or make changes to this bug.